Topic: Angular Comiler Warning

gabriel Julián premium asked 3 years ago


Hello,

I´m trying to compile my angular application but it appear this message at the end of compilation: WARNING in ./node_modules/ng-uikit-pro-standard/fesm5/ng-uikit-pro-standard.js 10726:57-75 "export 'ɵɵdefineInjectable' was not found in '@angular/core'

And I can´t fix it.

Can tell what is the proble and how to fix it.

Thanks!


Bartosz Termena staff commented 3 years ago

Hi! Could you provide me your Angular and MDB version? Best, Bartosz.


gabriel Julián premium commented 3 years ago

Angular 7.3.8 and the ng-uikit-pro: "ng-uikit-pro-standard": "git+https://oauth2:b2dHAdRtdxjquzXXXXXX@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git",


Bartosz Termena staff commented 3 years ago

Angular 8 version is required in MDB Angular 8.0.0

We created a migration guide that contain information on how to prepare your Angular and MDB code and files for version 8.0.0. You can find it here:

https://mdbootstrap.com/docs/angular/getting-started/migration/

Hope it helps!

Best, Bartosz.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Opened

Specification of the issue

  • User: Premium
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: 7.3.0
  • Device: pc
  • Browser: chrome
  • OS: win
  • Provided sample code: No
  • Provided link: No